Subject: [Pkg-cacti-maint] Bug#366662: marked as done (cacti: location of log files and RRD data violates FHS)

From: [email-masked] (Debian Bug Tracking System)
Date: Sat, 31 Dec 2011 03:33:15 +0000

Your message dated Sat, 31 Dec 2011 09:58:43 +0700
with message-id <[email-masked]>
and subject line Close
has caused the Debian Bug report #366662,
regarding cacti: location of log files and RRD data violates FHS
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [email-masked]
immediately.)

-- 
366662: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=366662
Debian Bug Tracking System
Contact [email-masked] with problems

Subject: cacti: location of log files and RRD data violates FHS
From: "[email-masked]" <[email-masked]>
To: Debian Bug Tracking System <[email-masked]>
Date: Wed, 10 May 2006 17:24:34 +1000

Package: cacti
Version: 0.8.6c-7sarge3
Severity: serious
Justification: Policy 9.1.1

By default, cacti is logging to /usr/share/cacti/site/log/cacti.log,
I suggest it be moved to /var/log/cacti/cacti.log;

the RRD files are being written in /usr/share/cacti/site/rra, I suggest
it be moved to /var/lib/cacti/rra .

Thanks.

-- System Information:
Debian Release: testing/unstable
Architecture: i386 (i686)
Kernel: Linux 2.6.8-3-686-smp
Locale: LANG=en_AU, LC_CTYPE=en_AU (charmap=ISO-8859-1)

Versions of packages cacti depends on:
ii  apache2                  2.0.54-5        next generation, scalable, extenda
ii  apache2-mpm-prefork [apa 2.0.54-5        traditional model for Apache2
ii  debconf                  1.4.39          Debian configuration management sy
ii  libapache2-mod-php4      4:4.3.10-16     server-side, HTML-embedded scripti
ii  libphp-adodb             4.52-1sarge1    The 'adodb' database abstraction l
ii  logrotate                3.7-5           Log rotation utility
ii  mysql-client             4.0.24-10sarge1 mysql database client binaries
ii  php4                     4:4.3.10-16     server-side, HTML-embedded scripti
ii  php4-cli                 4:4.3.10-16     command-line interpreter for the p
ii  php4-mysql               4:4.3.10-16     MySQL module for php4
ii  php4-snmp                4:4.3.10-16     SNMP module for php4
ii  rrdtool                  1.0.49-1        Time-series data storage and displ
ii  snmp                     5.1.2-6.2       NET SNMP (Simple Network Managemen
ii  ucf                      1.17            Update Configuration File: preserv

-- debconf information:
  cacti/confirm: (password omitted)
  cacti/root_password: (password omitted)
* cacti/password: (password omitted)
* cacti/username: cacti
* cacti/mysql_server: localhost
* cacti/webserver: Apache2
  cacti/save_rootpw: true
  cacti/upgrade_warning:
  cacti/root_mysql: root
* cacti/no_automagic:
  cacti/purge_db: true
* cacti/database: cacti
  cacti/mismatch:

Subject: Close
From: Mahyuddin Susanto <[email-masked]>
To: [email-masked]
Date: Sat, 31 Dec 2011 09:58:43 +0700

I believe this bug can be closed, see patch below

Index: cacti/include/global_settings.php
===================================================================
--- cacti.orig/include/global_settings.php	2011-12-30 16:27:53.464188366
+0700
+++ cacti/include/global_settings.php	2011-12-30 16:28:15.072295515 +0700
@@ -96,9 +96,9 @@
 			),
 		"path_cactilog" => array(
 			"friendly_name" => "Cacti Log File Path",
-			"description" => "The path to your Cacti log file (if blank,
defaults to <path_cacti>/log/cacti.log)",
+			"description" => "The path to your Cacti log file (if blank,
defaults to /var/log/cacti/cacti.log)",
 			"method" => "filepath",
-			"default" => $config["base_path"] . "/log/cacti.log",
+			"default" => "/var/log/cacti/cacti.log",
 			"max_length" => "255"
 			),
 		"pollerpaths_header" => array(
-- 
[ Mahyuddin Susanto ] - http://udienz.web.id
GPG: 4096R/90B36C5B
Debian Maintainer - www.debian.org